<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
        <div class="clear"> </div>
        <p class="nocomments">
        	<?php _e('This post is password protected. Enter the password to view comments..', 'themeteam') ?>
        </p>
	<?php
		return;
	}
?>


        <div class="comments-box">
<?php if ( have_comments() ) : ?>
          <h2><?php comments_number('0 Comments', '1 Comment', '% Comments'); ?></h2>
	      <ol class="commentlist">
	        <?php wp_list_comments('type=comment&callback=custom_comment'); ?>
	      </ol>
	      <div class="left nav"><?php previous_comments_link() ?></div>
          <div class="right nav"> <?php next_comments_link() ?> </div>
<?php else : // this is displayed if there are no comments so far ?>
	<?php if ( comments_open() ) : ?>
        <p class="nocomments"><?php _e('No comments yet', 'themeteam') ?></p>
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
        <p class="nocomments"><?php _e('Comments are closed.', 'themeteam') ?></p>
	<?php endif; ?>
<?php endif; ?>
</div>

<?php if ( comments_open() ) : ?>
          <div id="respond">
            <h2><?php comment_form_title( 'Leave a Comment' ); ?></h2>
              <p><small><?php cancel_comment_reply_link(); ?></small></p>
              <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
                <div class="first grid_3">
                      <label>Name<?php if ($req) echo "<span class='required'>*</span>"; ?></label>
                      <input type="text" name="author" id="author" value="Name" onBlur="if(this.value==''){this.value='Name'}" onFocus="if(this.value=='Name'){this.value=''}" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
                </div>
                <div class="first grid_3">
                      <label>Email <?php if ($req) echo "<span class='required'>*</span>"; ?></label>
                      <input type="text" name="email" value="Your email" onBlur="if(this.value==''){this.value='Your email'}" onFocus="if(this.value=='Your email'){this.value=''}" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
                    </div>
                    <div class="grid_2 last">
                      <label>Website <?php if ($req) echo "<span class='required'>*</span>"; ?></label>
                      <input type="text" name="url" id="url" value="Your website" onBlur="if(this.value==''){this.value='Your website'}" onFocus="if(this.value=='Your website'){this.value=''}" size="22" tabindex="3" />
                    </div>
                    <p class="clear"></p>
                      <label>Comment <?php if ($req) echo "<span class='required'>*</span>"; ?></label>
                      <textarea name="comment" rows="10" tabindex="4" onBlur="if(this.value==''){this.value='Your Message'}" onFocus="if(this.value=='Your Message'){this.value=''}" ><?php _e('Your Message', 'themeteam') ?></textarea>
                    <p class="clear"></p>
                    <button class="contact <?php echo $GLOBALS['button_css'];?>" name="submit" type="submit" id="submit" tabindex="5"><?php _e('SUBMIT', 'themeteam') ?></button>
					
					<?php comment_id_fields(); ?>
                <?php do_action('comment_form', $post->ID); ?>
              </form>
              <br /><br />
          </div>

<?php endif; // if you delete this the sky will fall on your head ?>

