<?php

// Changing excerpt more - only works where excerpt is NOT hand-crafted
add_filter('excerpt_more', 'auto_excerpt_more');
function auto_excerpt_more($more) {
	if( get_post_type() == 'portfolio' ){
		return '<br /> <a class="read-more" href="'.get_permalink().'" rel="nofollow">View Portfolio &rarr;</a>';
	}else{
		return '<br /> <a class="read-more" href="'.get_permalink().'" rel="nofollow">Read More &rarr;</a>';
	}
    //return '<br /> <a class="read-more" href="'.get_permalink().'" rel="nofollow">Read More &rarr;</a>';
}
// Changing excerpt more - only works where excerpt IS hand-crafted
add_filter('get_the_excerpt', 'manual_excerpt_more');
function manual_excerpt_more($excerpt) {
	$excerpt_more = '';
	if( has_excerpt() ) {
	
		if( get_post_type() == 'portfolio' ){
			$excerpt_more = '<br /> <a class="read-more" href="'.get_permalink().'" rel="nofollow">View Portfolio &rarr;</a>';
		}else{
			$excerpt_more = '<br /> <a class="read-more" href="'.get_permalink().'" rel="nofollow">Read More &rarr;</a>';
		}
    	//$excerpt_more = '<br /> <a class="read-more" href="'.get_permalink().'" rel="nofollow">Read More &rarr;</a>';
	}
	return $excerpt . $excerpt_more;
}

/**
 * RSS
 */
add_theme_support('automatic-feed-links');
/**
 * Sidebar
 */
if (function_exists('register_sidebar'))
{
	register_sidebar(array(
		'description'   => 'This is the default sidebar.',
		'before_widget' => '<div class="widget clearfix %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
	
	register_sidebar(array(
		'name' => 'Contact Us Sidebar',
		'id'   => 'sidebar-contactus',
		'description'   => 'This is the contact us sidebar, only displays on the contact us page.',
		'before_widget' => '<div class="widget clearfix %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4>',
		'after_title'   => '</h4>'
	));
	register_sidebar(array(
		'name' => 'Footer Area 1 Widgets',
		'id' => 'footer-1-widgets',
		'description'   => 'This is the first footer area for widgets',
		'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="nocufon">',
		'after_title' => '</h2>',
	));
	register_sidebar(array(
		'name' => 'Footer Area 2 Widgets',
		'id' => 'footer-2-widgets',
		'description'   => 'This is the second footer area for widgets',
		'before_widget' => '<div class="widget clearfix %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="nocufon">',
		'after_title' => '</h2>',
	));
	register_sidebar(array(
		'name' => 'Footer Area 3 Widgets',
		'id' => 'footer-3-widgets',
		'description'   => 'This is the third footer area for widgets',
		'before_widget' => '<div class="widget clearfix %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="nocufon">',
		'after_title' => '</h2>',
	));
	
}

/**
 * Thumbnails
 */
if ( function_exists( 'add_image_size' ) )
	add_theme_support( 'post-thumbnails' );

if ( function_exists( 'add_image_size' ) ) {
	add_image_size( 'thumb60', 60, 60, true );
	add_image_size( 'thumb194x164', 194, 164, true );
	add_image_size( 'thumb210x190', 210, 190, true );
	add_image_size( 'thumb220x180', 220, 180, true );
	add_image_size( 'thumb220x220', 220, 220, true );
	add_image_size( 'thumb292x111', 292, 111, true );
	add_image_size( 'thumb295x159', 295, 159, true );
	add_image_size( 'thumb300x250', 300, 250, true );
	add_image_size( 'thumb450x215', 450, 215, true );
	add_image_size( 'thumb460x225', 460, 225, true );
	add_image_size( 'thumb614x264', 614, 264, true );
	add_image_size( 'thumb620x270', 620, 270, true );
	add_image_size( 'thumb920', 920, 400, true );
	add_image_size( 'thumb930x520', 930, 520, true );
	
 	/*
	add_image_size( 'thumb60', 60, 60, true );
	add_image_size( 'thumb200', 200, 200, true );
	add_image_size( 'thumb220x130', 220, 130, true );
	add_image_size( 'thumb220', 220, 200, true );
	add_image_size( 'thumb300', 300, 120, true );
	add_image_size( 'thumb300x165', 300, 165, true );
	add_image_size( 'thumb460', 460, 255, true );
	add_image_size( 'thumb620', 620, 400, true );
	add_image_size( 'thumb700', 700, 340, true );
	add_image_size( 'thumb620x270', 620, 270, true );
	add_image_size( 'thumb920', 920, 400, true );
	add_image_size( 'thumb940', 940, 400, true );
	add_image_size( 'thumb940x530', 940, 530, true );
	
	add_image_size( 'thumb194x164', 194, 164, true );
	add_image_size( 'thumb614', 614, 264, true );
	*/
}

/**
 * Menus
 */
register_nav_menu('main', __('Main Nav'));
register_nav_menu('footer_links', __('Widget Footer Links'));

function graffiti_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'graffiti_page_menu_args' );

/**
 * Comment list
 */
function custom_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>

              <li>
                  <div class="thumbnail">
                    <?php echo get_avatar($comment,$size='60',$default='<path_to_url>' ); ?>
                      <span class="frame"><span><span><span><span><span class="empty"><em> </em></span></span></span></span></span></span>
                  </div>
                  <div class="prefix_1">
                    <h3><?php printf(__('%s'), get_comment_author_link()) ?></h3>
                    <p><time><?php printf(__('%1$s'), comment_date('F j, Y')) ?></time></p>
                    <?php comment_text() ?>
                    <p class="link-reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></p>
                  </div>

<?php
}
 
/* Breadcrumb function*/
function breadcrumbs($enable) {
  if($enable == 'true'){
	  $name = 'Accueil';
	  $currentBefore = '<li>';
	  $currentAfter = '</li><li class="sep"></li>';
	  
	  echo '<ul>';
	  
	  if ( !is_home() && !is_front_page() || is_paged() ) {
	 
	 
	    global $post;
	    $home = get_bloginfo('url');
	    echo '<li><a href="' . $home . '">' . $name . '</a></li><li class="sep"></li> '  . ' ';
	 
	    if ( is_category() ) {
	      global $wp_query;
	      $cat_obj = $wp_query->get_queried_object();
	      $thisCat = $cat_obj->term_id;
	      $thisCat = get_category($thisCat);
	      $parentCat = get_category($thisCat->parent);
	      if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' '  . ' '));
	      echo $currentBefore;
	      single_cat_title();
	      echo $currentAfter;
	 
	    } elseif ( is_day() ) {
	      echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li><li class="sep"></li> '  . ' ';
	      echo '<li><a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a></li><li class="sep"></li> '  . ' ';
	      echo $currentBefore . get_the_time('d') . $currentAfter;
	 
	    } elseif ( is_month() ) {
	      echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li><li class="sep"></li>'  . ' ';
	      echo $currentBefore . get_the_time('F') . $currentAfter;
	 
	    } elseif ( is_year() ) {
	      echo $currentBefore . get_the_time('Y') . $currentAfter;
	 
	    } elseif ( is_single() && !is_attachment() ) {
	      $cat = get_the_category(); $cat = $cat[0];
	      echo $currentBefore . get_category_parents($cat, TRUE, ' '  . ' ') . $currentAfter;
	      echo $currentBefore;
	      the_title();
	      echo $currentAfter;
	 
	    } elseif ( is_attachment() ) {
	      $parent = get_post($post->post_parent);
	      $cat = get_the_category($parent->ID); $cat = $cat[0];
	      echo get_category_parents($cat, TRUE, ' '  . ' ');
	      echo '<li><a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a></li><li class="sep"></li>'  . ' ';
	      echo $currentBefore;
	      the_title();
	      echo $currentAfter;
	 
	    } elseif ( is_page() && !$post->post_parent ) {
	      echo $currentBefore;
	      the_title();
	      echo $currentAfter;
	 
	    } elseif ( is_page() && $post->post_parent ) {
	      $parent_id  = $post->post_parent;
	      $breadcrumbs = array();
	      while ($parent_id) {
	        $page = get_page($parent_id);
	        $breadcrumbs[] = '<li><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a></li><li class="sep"></li>';
	        $parent_id  = $page->post_parent;
	      }
	      $breadcrumbs = array_reverse($breadcrumbs);
	      foreach ($breadcrumbs as $crumb) echo $crumb . ' '  . ' ';
	      echo $currentBefore;

      the_title();
	      echo $currentAfter;
	 
	    } elseif ( is_search() ) {
	      echo $currentBefore . 'Search results for &#39;' . get_search_query() . '&#39;' . $currentAfter;
	 
	    } elseif ( is_tag() ) {
	      echo $currentBefore . 'Posts tagged &#39;';
	      single_tag_title();
	      echo '&#39;' . $currentAfter;
	 
	    } elseif ( is_author() ) {
	       global $author;
	      $userdata = get_userdata($author);
	      echo $currentBefore . 'Articles posted by ' . $userdata->display_name . $currentAfter;
	 
	    } elseif ( is_404() ) {
	      echo $currentBefore . 'Error 404' . $currentAfter;
	    }
	 
	    if ( get_query_var('paged') ) {
	      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';

      echo __('Page') . ' ' . get_query_var('paged');
	      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
	    }
	 
	 
	  }

  
	  echo '</ul>';
  }

}

function terms($activeTerm){

	$before = '<li'.($activeTerm == '' ? ' class="on"' : '').'><a rel="all" href="?skills=">Tous</a><span></span></li>';
	echo $before;
	$myterms = get_terms('skills', 'orderby=count&hide_empty=0');
	if($myterms){
		$count = 1;
		foreach ( $myterms as $term ) {
			echo '<li '.($term->slug == $activeTerm ? ' class="on"' : '').'><a rel="'.$term->slug.'" href="#">'.$term->name.'</a><span></span></li>';
			/*if($term->name == $activeTerm){
				echo '<li class="on"><a href="?skills='.$term->name.'">'.$term->name.'</a></li>';
			}else{
				echo '<li><a href="?skills='.$term->name.'">'.$term->name.'</a><span></span></li>';
			}*/

		$count++;
		}
	}
	
}

function get_the_post_thumbnail_src($id){
	$thumb = get_the_post_thumbnail($id,'full');
	if($thumb == '') return '';
	preg_match_all('/src="(.*)" cl/', $thumb, $result, PREG_PATTERN_ORDER);
	$thumb = $result[1][0];
	$pos = stripos($thumb,'alt="');
	if($pos !== false){
		preg_match_all('/(.*)" alt="/', $thumb, $result, PREG_PATTERN_ORDER);
		$thumb = $result[1][0];
		$thumb = str_ireplace('thumbs/thumbs_','',$thumb);
	}
	return $thumb;
}

/* function timthumb resize*/
function themeteam_resize($img,$alt,$title,$width,$height){
	global $blog_id;
	
	$image['url'] = $img;
	$image_path = explode($_SERVER['SERVER_NAME'], $image['url']);
	$image_path = $_SERVER['DOCUMENT_ROOT'] . $image_path[1];
	$image_info = @getimagesize($image_path);
	
	// If we cannot get the image locally, try for an external URL
	if (!$image_info)
		$image_info = @getimagesize($image['url']);

	$image['width'] = $image_info[0];
	$image['height'] = $image_info[1];
	if($img != "" && ($image['width'] != $width || $image['height'] != $height || !isset($image['width']))){
		
		//If WP MU
		if ( (defined('WP_ALLOW_MULTISITE')) && (WP_ALLOW_MULTISITE == true) ) {
			$the_image_src = $img;
			if (isset($blog_id) && $blog_id > 0) {
				$image_parts = explode('/files/', $the_image_src);
				if (isset($image_parts[1])) {
					$the_image_src = '/blogs.dir/' . $blog_id . '/files/' . $image_parts[1];
					$the_imasdfage_src = $image_parts[0];
					$mu_image_path = '/wp-content' .$the_image_src;//$the_imasdfage_src. 
				}else{
					$mu_image_path = $image_parts[0];
				}
			}
		
			$img = THEMETEAM_IMAGE_RESIZE."/timthumb.php?src=$mu_image_path&amp;w=$width&amp;h=$height&amp;zc=1&amp;q=80";
		}else{
			$img = THEMETEAM_IMAGE_RESIZE."/timthumb.php?src=$img&amp;w=$width&amp;h=$height&amp;zc=1&amp;q=80";	
		}

	}
	return '<img alt="'.$alt.'" title="'.$title.'" src="'.$img.'"/>';
}

/* function timthumb resize*/
function themeteam_resize_portfolio($img,$alt,$title,$width,$height,$post_id){
	global $blog_id;
	
	$image['url'] = $img;
	$image_path = explode($_SERVER['SERVER_NAME'], $image['url']);
	$image_path = $_SERVER['DOCUMENT_ROOT'] . $image_path[1];
	$image_info = @getimagesize($image_path);
	
	// If we cannot get the image locally, try for an external URL
	if (!$image_info)
		$image_info = @getimagesize($image['url']);

	$image['width'] = $image_info[0];
	$image['height'] = $image_info[1];
	if($img != "" && ($image['width'] != $width || $image['height'] != $height || !isset($image['width']))){
		
		//If WP MU
		if ( (defined('WP_ALLOW_MULTISITE')) && (WP_ALLOW_MULTISITE == true) ) {
			$the_image_src = $img;
			if (isset($blog_id) && $blog_id > 0) {
				$image_parts = explode('/files/', $the_image_src);
				if (isset($image_parts[1])) {
					$the_image_src = '/blogs.dir/' . $blog_id . '/files/' . $image_parts[1];
					$the_imasdfage_src = $image_parts[0];
					$mu_image_path = '/wp-content' .$the_image_src;//$the_imasdfage_src. 
				}else{
					$mu_image_path = $image_parts[0];
				}
			}
		
			$img = THEMETEAM_IMAGE_RESIZE."/timthumb.php?src=$mu_image_path&amp;w=$width&amp;h=$height&amp;zc=1&amp;q=80";
			return '<a href="'.$mu_image_path.'" rel="prettyPhoto[pp_gal_'.$post_id.']"><img alt="'.$alt.'" title="'.$title.'" src="'.$img.'"/></a>';
		}else{
			$img2 = THEMETEAM_IMAGE_RESIZE."/timthumb.php?src=$img&amp;w=$width&amp;h=$height&amp;zc=1&amp;q=80";
			return '<a href="'.$img.'" rel="prettyPhoto[pp_gal_'.$post_id.']"><img alt="'.$alt.'" title="'.$title.'" src="'.$img2.'"/></a>';	
		}

	}
}


function gallery_image_resize($height,$width,$img_url) {
	global $blog_id;
	
	//need to resize the image for the galleria so that its not scaling from thumbnail size 
	$image['url'] = $img_url;
	$image_path = explode($_SERVER['SERVER_NAME'], $image['url']);
	$image_path = $_SERVER['DOCUMENT_ROOT'] . $image_path[1];
	$image_info = @getimagesize($image_path);

	// If we cannot get the image locally, try for an external URL
	if (!$image_info)
		$image_info = @getimagesize($image['url']);

	$image['width'] = $image_info[0];
	$image['height'] = $image_info[1];
	if($img_url != "" && ($image['width'] != $width || $image['height'] != $height || !isset($image['width']))){
	
		//If WP MU
		if ( (defined('WP_ALLOW_MULTISITE')) && (WP_ALLOW_MULTISITE == true) ) {
			$the_image_src = $img_url;
			if (isset($blog_id) && $blog_id > 0) {
				$image_parts = explode('/files/', $the_image_src);
				if (isset($image_parts[1])) {
					$the_image_src = '/blogs.dir/' . $blog_id . '/files/' . $image_parts[1];
					$the_imasdfage_src = $image_parts[0];
					$mu_image_path = '/wp-content' .$the_image_src;//$the_imasdfage_src.
				}else{
					$mu_image_path = $image_parts[0];
				}
			}
		
			$img_url = THEMETEAM_IMAGE_RESIZE."/timthumb.php?src=$mu_image_path&amp;w=$width&amp;h=$height&amp;zc=1&amp;q=80";
		}else{
			$img_url = THEMETEAM_IMAGE_RESIZE."/timthumb.php?src=$img_url&amp;w=$width&amp;h=$height&amp;zc=1&amp;q=80";	
		}
	}
	
	return $img_url;
}


function themeteam_bg_options($option){
	
	$out .= '<style>';
	switch($option){
		case 'bg_default':
			//do nothing
		break;
		case 'bg_color':
			//make the hex darker
		$darker = hexDarker(get_option('themeteam_graffiti_color_bg'), 40);
		$lighter = hexDarker(get_option('themeteam_graffiti_color_bg'), 20);
		
		$out .= '.content-top{border-top: 2px solid #'.get_option('themeteam_graffiti_color_bg').';}';
		$out .= '#graffiti-slider #normal-width-slider .feature-copy {background: #'.get_option('themeteam_graffiti_color_bg').';}';
		$out .= '#graffiti-slider .controls {background: #'.get_option('themeteam_graffiti_color_bg').';}';
		$out .= '.button.small.orange {background: #'.get_option('themeteam_graffiti_color_bg').';}.button.medium.orange {background: #'.get_option('themeteam_graffiti_color_bg').';}.button.big.orange {background: #'.get_option('themeteam_graffiti_color_bg').';}.grid .button > span { background: #'.get_option('themeteam_graffiti_color_bg').'; }';
		$out .= '.button.small.orange:hover {background: #'.$darker.';}.button.medium.orange:hover {background: #'.$darker.';}.button.big.orange:hover {background: #'.$darker.';}';
		$out .= 'a{color:#'.get_option('themeteam_graffiti_color_bg').';} a:hover{color:#'.$darker.';}.widget h3 a { color: #'.get_option('themeteam_graffiti_color_bg').'; }.widget h3 a:hover { color: #'.$darker.'; }';
		$out .= '#footerTwitter div a { color:#'.get_option('themeteam_graffiti_color_bg').'; }#footerTwitter div a:hover { color:#'.$darker.'; }';
		
		$out .= '.navigation ul li:hover{background:#'.get_option('themeteam_graffiti_color_bg').';}.navigation ul#menu-navigation li.current-page-ancestor, .navigation ul#menu-navigation li.current-menu-item{background:#'.get_option('themeteam_graffiti_color_bg').';}';
		$out .= '.col-side.common-sidebar .nav .subnav li:hover {background: #'.get_option('themeteam_graffiti_color_bg').';}.col-side.common-sidebar .nav .subnav li.current_page_item {background: #'.get_option('themeteam_graffiti_color_bg').';}';	
		$out .= '#sub-footer{ background-color: #'.get_option('themeteam_graffiti_color_bg').';}#sub-footer, #sub-footer a { color:#'.$darker.'; } #sub-footer p a { color:#'.$lighter.'; }';
		break;

	}

	//lets set the font colors here too:
	//logo
	if(get_option('themeteam_graffiti_logo_font')){
		$out .= '.header .logo h1 a { color:#'.get_option('themeteam_graffiti_logo_font').'; }';
	}
		//common fonts
	if(get_option('themeteam_graffiti_link_font')){
		$out .= 'a{color:#'.get_option('themeteam_graffiti_link_font').';}.widget h3 a { color: #'.get_option('themeteam_graffiti_link_font').'; }#footerTwitter div a { color:#'.get_option('themeteam_graffiti_link_font').'; }';
	}
	
	if(get_option('themeteam_graffiti_link_hover_font')){
		$out .= 'a:hover{color:#'.get_option('themeteam_graffiti_link_hover_font').';}.widget h3 a:hover { color: #'.get_option('themeteam_graffiti_link_hover_font').'; }#footerTwitter div a:hover { color:#'.get_option('themeteam_graffiti_link_hover_font').'; }';
	}

	//footer
	if(get_option('themeteam_graffiti_footer_text_font')){
		$out .= '#sub-footer, #sub-footer a { color:#'.get_option('themeteam_graffiti_footer_text_font').';}';
	}
	
	$out .= '</style>';
	
	return $out;
}

function hexDarker($hex,$factor = 30)
{
$new_hex = '';

$base['R'] = hexdec($hex{0}.$hex{1});
$base['G'] = hexdec($hex{2}.$hex{3});
$base['B'] = hexdec($hex{4}.$hex{5});

foreach ($base as $k => $v)
        {
        $amount = $v / 100;
        $amount = round($amount * $factor);
        $new_decimal = $v - $amount;

        $new_hex_component = dechex($new_decimal);
        if(strlen($new_hex_component) < 2)
                { $new_hex_component = "0".$new_hex_component; }
        $new_hex .= $new_hex_component;
        }
        
return $new_hex;        
}


// Set global php variables
add_action('themeteam_globals','themeteam_globals');
function themeteam_globals() {
	
	// Set global Thumbnail dimensions and alignment
	//$GLOBALS['button_css'] = 'grey'; $buttonCss = get_option('themeteam_graffiti_button_color'); if ($buttonCss) $GLOBALS['button_css'] = $buttonCss; 			
		

}
/* 
 * PHP integration for No Spam v1.3
 * by Mike Branski (www.leftrightdesigns.com)
 * mikebranski@gmail.com
 *
 * Copyright (c) 2008 Mike Branski (www.leftrightdesigns.com)
 *
 * NOTE: This script is for integrating your dynamic PHP content with No Script.
 *       Download No Spam at www.leftrightdesigns.com/library/jquery/nospam/
 *
 */
function nospam($email, $filterLevel = 'normal')
{
	$email = strrev($email);
	$email = preg_replace('[@]', '//', $email);
	$email = preg_replace('[\.]', '/', $email);

	if($filterLevel == 'low')
	{
		$email = strrev($email);
	}

	return $email;
}


/**
 * TWITTER FEED PARSER
 * 
 * @version	1.1
 * @author	Jonathan Nicol
 * @link	http://f6design.com/journal/2010/10/07/display-recent-twitter-tweets-using-php/
 * 
 * Notes:
 * We employ caching because Twitter only allows their RSS feeds to be accesssed 150
 * times an hour per user client.
 * --
 * Dates can be displayed in Twitter style (e.g. "1 hour ago") by setting the 
 * $twitter_style_dates param to true.
 * 
 * Credits:
 * Hashtag/username parsing based on: http://snipplr.com/view/16221/get-twitter-tweets/
 * Feed caching: http://www.addedbytes.com/articles/caching-output-in-php/
 * Feed parsing: http://boagworld.com/forum/comments.php?DiscussionID=4639
 */
 
function display_latest_tweets(
	$twitter_user_id,
	$cache_file = './twitter.txt',
	$tweets_to_display = 1,
	$ignore_replies = false,
	$twitter_wrap_open = '<div id="footerTwitter"><div>',
	$twitter_wrap_close = '</div></div>',
	$tweet_wrap_open = '',
	$meta_wrap_open = '',
	$meta_wrap_close = '',
	$tweet_wrap_close = '',
	$date_format = 'g:i A M jS',
	$twitter_style_dates = true){
 
	// Seconds to cache feed (1 hour).
	$cachetime = 0;
	// Time that the cache was last filled.
	$cache_file_created = ((@file_exists($cache_file))) ? @filemtime($cache_file) : 0;
 
	// A flag so we know if the feed was successfully parsed.
	$tweet_found = false;
 
	// Show file from cache if still valid.
	if (time() - $cachetime < $cache_file_created) {
 
		$tweet_found = true;
		// Display tweets from the cache.
		@readfile($cache_file);	
 
	} else {
 
		// Cache file not found, or old. Fetch the RSS feed from Twitter.
		$rss = @file_get_contents('http://twitter.com/statuses/user_timeline/'.$twitter_user_id.'.rss');
 
		if($rss) {
 
			// Parse the RSS feed to an XML object.
			$xml = @simplexml_load_string($rss);
 
			if($xml !== false) {
 
				// Error check: Make sure there is at least one item.
				if (count($xml->channel->item)) {
 
					$tweet_count = 0;
 
					// Start output buffering.
					ob_start();
 
					// Open the twitter wrapping element.
					$twitter_html = $twitter_wrap_open;
 
					// Iterate over tweets.
					foreach($xml->channel->item as $tweet) {
 
						// Twitter feeds begin with the username, "e.g. User name: Blah"
						// so we need to strip that from the front of our tweet.
						$tweet_desc = substr($tweet->description,strpos($tweet->description,":")+2);
						$tweet_desc = htmlspecialchars($tweet_desc);
						$tweet_first_char = substr($tweet_desc,0,1);
 
						// If we are not gnoring replies, or tweet is not a reply, process it.
						if ($tweet_first_char!='@' || $ignore_replies==false){
 
							$tweet_found = true;
							$tweet_count++;
 
							// Add hyperlink html tags to any urls, twitter ids or hashtags in the tweet.
							$tweet_desc = preg_replace('/(https?:\/\/[^\s"<>]+)/','<a href="$1">$1</a>',$tweet_desc);
							$tweet_desc = preg_replace('/(^|[\n\s])@([^\s"\t\n\r<:]*)/is', '$1<a href="http://twitter.com/$2">@$2</a>', $tweet_desc);
							$tweet_desc = preg_replace('/(^|[\n\s])#([^\s"\t\n\r<:]*)/is', '$1<a href="http://twitter.com/search?q=%23$2">#$2</a>', $tweet_desc);
 
 							// Convert Tweet display time to a UNIX timestamp. Twitter timestamps are in UTC/GMT time.
							$tweet_time = strtotime($tweet->pubDate);	
 							if ($twitter_style_dates){
								// Current UNIX timestamp.
								$current_time = time();
								$time_diff = abs($current_time - $tweet_time);
								switch ($time_diff) 
								{
								 case ($time_diff < 60):
								        $display_time = $time_diff.' seconds ago';                  
								        break;      
								     case ($time_diff > 60 && $time_diff < 3600):
								        $min = floor($time_diff/60);
								        $display_time = $min.' minutes ago';                  
								        break;      
								     case ($time_diff > 3600 && $time_diff < 86400):
								        $hour = floor($time_diff/3600);
								        $display_time = 'about '.$hour.' hour';
								        if ($display_time>1){ $display_time .= 's'; }
										$display_time .= ' ago';
								        break;          
					        		default:
								        $display_time = date($date_format,$tweet_time);
								        break;
								}
 							} else {
 								$display_time = date($date_format,$tweet_time);
 							}
 
							// Render the tweet.
							$twitter_html .= $tweet_wrap_open.$tweet_desc.$meta_wrap_open.'&nbsp;<a href="http://twitter.com/'.$twitter_user_id.'">'.$display_time.'</a>'.$meta_wrap_close.$tweet_wrap_close;
 
						}
 
						// If we have processed enough tweets, stop.
						if ($tweet_count >= $tweets_to_display){
							break;
						}
 
					}
 
					// Close the twitter wrapping element.
					$twitter_html .= $twitter_wrap_close;
					echo $twitter_html;
 
					// Generate a new cache file.
					$file = @fopen($cache_file, 'w');
 
					// Save the contents of output buffer to the file, and flush the buffer. 
					@fwrite($file, ob_get_contents()); 
					@fclose($file); 
					ob_end_flush();
 
				}
			}
		}
	} 
	// In case the RSS feed did not parse or load correctly, show a link to the Twitter account.
	if (!$tweet_found){
		echo $twitter_wrap_open.$tweet_wrap_open.'Oops, our twitter feed is unavailable right now. '.$meta_wrap_open.'<a href="http://twitter.com/'.$twitter_user_id.'">Follow us on Twitter</a>'.$meta_wrap_close.$tweet_wrap_close.$twitter_wrap_close;
	}
}

?>