<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */
?>
<!doctype html>
<html>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?> - <?php bloginfo('description'); ?> <?php wp_title('&raquo;', true, 'right'); ?> </title>
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link href="<?php bloginfo('template_url');?>/css/common.min.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('template_url');?>/font-face/font-face.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('template_url');?>/js/nivoslider/nivo-slider.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link type="text/css" href="<?php bloginfo('template_url'); ?>/js/prettyphoto/css/prettyPhoto.css" rel="stylesheet" media="screen" />
<!--[if IE]>
    <link href="<?php bloginfo('template_url');?>/css/ie.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<?php bloginfo('template_url');?>/js/html5.js"></script>
<![endif]-->
<script type="text/javascript" src="<?php echo get_bloginfo('template_directory');?>/js/css.browser.selector.js"></script>
<?php wp_head(); ?>

<?php echo themeteam_bg_options(get_option("themeteam_graffiti_custom_bg")); ?>

<?php if(get_option("themeteam_graffiti_enable_cufon") == 'yes') { ?>
<script type="text/javascript" src="<?php echo get_bloginfo('template_directory');?>/js/cufon_yui.js"></script>

<script type="text/javascript" src="<?php echo get_bloginfo('template_directory');?>/fonts/cufon/<?php echo get_option("themeteam_graffiti_cufon_font"); ?>"></script>
<script type="text/javascript">
	
	//Cufon.replace('h1:not(.nocufon),h2:not(.nocufon),h3,h4,h5,h6',{color:'black'});
	//Cufon.replace('.navigation a',{hover: {color: 'white'}});
	Cufon.replace('h1:not(.nocufon),h2:not(.nocufon),h3,h4,h5,h6');
	Cufon.replace('ul.sub-menu li a',{hover:false});
	Cufon.replace('ul#menu-navigation li a',{color:'#262626', hover:{color:'white'}});
</script>

<?php } ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

<?php themeteam_globals(); ?>

<script type="text/javascript" src="<?php bloginfo('template_url');?>/js/slider_v4.js"></script>

<?php if(get_option('themeteam_graffiti_google_analytics')):?>
	<?php echo stripslashes(get_option('themeteam_graffiti_google_analytics')); ?>
<?php endif ?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(function() {
	jQuery(".thumbnail, .flickr_badge_image, .miniG").each(function(){ 
		var $_height = jQuery(this).find("img").height() - 10; 
		if ($_height > 0){
		jQuery(this).find(".empty").height($_height).end().find("span.frame").css("display","block"); 
		}
	})
	jQuery("blockquote").wrapInner("<div><\/div>");
	
	/* the menu */
	jQuery(".sub-menu").wrap("<div><\/div>");
    jQuery(".sub-menu").parents("li").addClass("parent");
});

</script>

</head>
<body <?php body_class(); ?>>
<div class="wrapper">
  <div class="content-top"></div>
  <div class="content">	
  <header class="header clearfix">
    <div class="container_12 clearfix">
      <div class="top grid_12" id="top">
          <!--?php get_search_form();?-->
          <div class="logo">
        	<h1 class="nocufon"><a href="<?php echo get_option('home'); ?>/" class="nocufon">
        		<?php if ( get_option('themeteam_logo_upload') ) {?>
      			<img src="<?php echo get_option('themeteam_logo_upload'); ?>" alt="<?php bloginfo('name'); ?>" />
	      		<?php } else { ?>
	      			<?php bloginfo('name'); ?>
	      		<?php }?>
        	</a></h1>
      	</div>
      	<!--div.logo end -->
        <nav class="navigation">
          <?php wp_nav_menu(array('menu' => 'Main Nav', 'theme_location' => 'main','menu_id' =>'menu-navigation')); ?>
        </nav>
      </div>
    </div>
  </header>
  <div class="main-container clearfix">
  <div class="content-separator black-up"></div>
    <div class="container_12">