<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */
/**
Template Name: Blog Listings - Full Width Images
*/
get_header(); ?>
	<div class="page-title clearfix">
      <!-- <div class="grid_12"> -->
        <h1><?php the_title();?></h1>
      <!-- </div> -->
    </div>
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix nomargin">
		<?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
	</div>
	<?php } ?>
    <div class="grid_12 col-main fullwidth full-image-listing-container">
             <?php $page = get_query_var('paged'); $args = array('paged'=> $page, 'posts_per_page'=> get_option('posts_per_page'), 'caller_get_posts' => 1 ); query_posts($args);?>
		     <?php if (have_posts()):?>
        <ul class="full-width-listing">
             <?php while (have_posts()): the_post() ?>
          <li class="post clearfix post-item">
            <?php if (has_post_thumbnail()): ?>
            <div class="clearfix">
                <div class="thumbnail magnifier"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_post_thumbnail('thumb920'); ?></a></div>
            </div>
                <?php endif ?>

              <span class="comments-big-icon"><?php comments_popup_link(__('0', 'themeteam'), __('1', 'themeteam'), __('%', 'themeteam')); ?></span>
              <h2><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></h2>
              <div class="left icons">
                	<span class="date-icon"><?php the_time( get_option('date_format') ); ?></span>
                	<span class="comment-icon"><?php comments_popup_link(__('0 Comments', 'themeteam'), __('1 Comment', 'themeteam'), __('% Comments', 'themeteam')); ?></span>
                    <span class="categories-icon"><?php the_category(', ') ?></span>
              	</div>
              <article class="article"><?php the_excerpt(); ?></article>
          </li>
      <?php endwhile; ?>
        </ul>
        <div class="clear"></div>
		<div class="left nav"><?php next_posts_link('&laquo; Older Entries') ?></div>
		<div class="right nav"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		<div class="clear"></div>
      <?php else:?>
		<h2><?php _e("Not Found", "themeteam") ?></h2>
		<p><?php _e("Sorry, but you are looking for something that isn't here.", "themeteam") ?></p>
      </div>
      <?php endif;?>
</div>
<?php get_footer(); ?>
